dotUltimate

このドキュメントは dotUltimate の全製品、つまり、Rider、ReSharper、ReSharperC++、dotCover、dotTrace、dotMemory、dotPeek をすべて網羅しています。 関心のある製品を選択してください。

Rider のシステム要件

オペレーティングシステム

Rider は、以下のオペレーティングシステム(64ビットのみ)にインストールして実行できます。

Microsoft Windows
8.1 10
Mac OS
10.13+
Linux
Debian 9+ Ubuntu 16.04+ CentOS 7+ Fedora 30+ Other with GLIBC 2.17+

フレームワーク

  • .NET Framework 4.6.1 以上
  • .NET Core は Rider に含まれているため、別途インストールする必要はありません

ハードウェアの必要最低要件

  • プロセッサ:
    2 GHz
  • メモリ:
    4 GB
  • ディスク:
    2.5 GB

必要最低要件では、製品を起動して単純な操作を実行できます。ハードウェアの推奨要件は、処理されるデータ量に直接左右されます。 ご利用の環境にトライアルバージョンをダウンロードして、ご確認ください

その他

Windows では、厳密な名前のバイパス機能を無効にしないでください

ReSharper のシステム要件

Visual Studio統合

オペレーティングシステム

ReSharper は、以下のオペレーティングシステムにインストールして実行できます(最適パフォーマンスには 64 ビット OS を強く推奨)。

Microsoft Windows
7 8 8.1 10
Microsoft Windows Server
2008 R2 2012 2012 R2 2016 2019

サポート対象の Visual Studio リリース

dotUltimate の各製品は、次の Visual Studioリリース(Community、Professional 以上のエディション、Express エディションはサポート対象外)に統合されています。

Microsoft Visual Studio
2010 SP1 2012 Update 3 2013 Update 5 2015 Update 3 2017 2019

フレームワーク

  • .NET Framework 4.6.1 以上

ハードウェアの必要最低要件

  • プロセッサ:
    2 GHz
  • メモリ:
    4 GB
  • ディスク:
    500 Mb

必要最低要件では、製品を起動して単純な操作を実行できます。ハードウェアの推奨要件は、処理されるデータ量に直接左右されます。 ご利用の環境にトライアルバージョンをダウンロードして、ご確認ください

その他

Windows では、厳密な名前のバイパス機能を無効にしないでください

コマンドラインツール

オペレーティングシステム

ReSharper CLT は、以下のオペレーティングシステムにインストールして実行できます(最適パフォーマンスには 64 ビット OS を強く推奨)。

Microsoft Windows
7 8 8.1 10
Microsoft Windows Server
2008 R2 2012 2012 R2 2016 2019
Mac OS
10.13+
Linux
Debian 9+ Ubuntu 16.04+ CentOS 7+ Fedora 30+ Linux Mint 18+ openSUSE 15+ Alpine Linux 3.10+ Oracle Linux 7+ SUSE Enterprise 12 SP2+ Red Hat Enterprise Linux 6 / 7 / 8

フレームワーク

  • .NET Framework 4.6.1 以上
  • .NET Core 3.1 以上

ハードウェアの必要最低要件

  • プロセッサ:
    2 GHz
  • メモリ:
    4 GB
  • ディスク:
    500 Mb

必要最低要件では、製品を起動して単純な操作を実行できます。ハードウェアの推奨要件は、処理されるデータ量に直接左右されます。 ご利用の環境にトライアルバージョンをダウンロードして、ご確認ください

その他

Windows では、厳密な名前のバイパス機能を無効にしないでください

ReSharper C++ のシステム要件

Visual Studio統合

オペレーティングシステム

ReSharper C++ は、以下のオペレーティングシステムにインストールして実行できます(最適パフォーマンスには 64 ビット OS を強く推奨)。

Microsoft Windows
7 8 8.1 10
Microsoft Windows Server
2008 R2 2012 2012 R2 2016 2019

サポート対象の Visual Studio リリース

dotUltimate の各製品は、次の Visual Studioリリース(Community、Professional 以上のエディション、Express エディションはサポート対象外)に統合されています。

Microsoft Visual Studio
2010 SP1 2012 Update 3 2013 Update 5 2015 Update 3 2017 2019

フレームワーク

  • .NET Framework 4.6.1 以上

ハードウェアの必要最低要件

  • プロセッサ:
    2 GHz
  • メモリ:
    4 GB
  • ディスク:
    500 Mb

必要最低要件では、製品を起動して単純な操作を実行できます。ハードウェアの推奨要件は、処理されるデータ量に直接左右されます。 ご利用の環境にトライアルバージョンをダウンロードして、ご確認ください

その他

Windows では、厳密な名前のバイパス機能を無効にしないでください

コマンドラインツール

オペレーティングシステム

ReSharper C++ CLT は、以下のオペレーティングシステムにインストールして実行できます(最適パフォーマンスには 64 ビット OS を強く推奨)。

Microsoft Windows
7 8 8.1 10
Microsoft Windows Server
2008 R2 2012 2012 R2 2016 2019
Mac OS
10.13+
Linux
Debian 9+ Ubuntu 16.04+ CentOS 7+ Fedora 30+ Other with GLIBC 2.17+

フレームワーク

  • .NET Framework 4.6.1 以上
  • .NET Core 3.1 以上

ハードウェアの必要最低要件

  • プロセッサ:
    2 GHz
  • メモリ:
    4 GB
  • ディスク:
    500 Mb

必要最低要件では、製品を起動して単純な操作を実行できます。ハードウェアの推奨要件は、処理されるデータ量に直接左右されます。 ご利用の環境にトライアルバージョンをダウンロードして、ご確認ください

その他

Windows では、厳密な名前のバイパス機能を無効にしないでください

dotTrace のシステム要件

スタンドアロンデスクトップアプリケーション

オペレーティングシステム

dotTrace は、以下のオペレーティングシステムにインストールして実行できます(最適パフォーマンスには 64 ビット OS を強く推奨)。

Microsoft Windows
7 8 8.1 10
Microsoft Windows Server
2008 R2 2012 2012 R2 2016 2019

フレームワーク

  • .NET Framework 4.6.1 以上

ハードウェアの必要最低要件

  • プロセッサ:
    2 GHz
  • メモリ:
    2 GB
  • ディスク:
    400 Mb

必要最低要件では、製品を起動して単純な操作を実行できます。ハードウェアの推奨要件は、処理されるデータ量に直接左右されます。 ご利用の環境にトライアルバージョンをダウンロードして、ご確認ください

その他

Windows では、厳密な名前のバイパス機能を無効にしないでください

Rider 統合

dotTrace はプラグインバンドルとして、デフォルトで Rider に統合されています。 Rider システム要件を満たす Windows、Mac、および Linux で実行します。 このプラグインを使用するには、有効な dotUltimate ライセンスが必要です。

Visual Studio統合

オペレーティングシステム

dotTrace は、以下のオペレーティングシステムにインストールして実行できます(最適パフォーマンスには 64 ビット OS を強く推奨)。

Microsoft Windows
7 8 8.1 10
Microsoft Windows Server
2008 R2 2012 2012 R2 2016 2019

サポート対象の Visual Studio リリース

dotUltimate の各製品は、次の Visual Studioリリース(Community、Professional 以上のエディション、Express エディションはサポート対象外)に統合されています。

Microsoft Visual Studio
2010 SP1 2012 Update 3 2013 Update 5 2015 Update 3 2017 2019

フレームワーク

  • .NET Framework 4.6.1 以上

ハードウェアの必要最低要件

  • プロセッサ:
    2 GHz
  • メモリ:
    4 GB
  • ディスク:
    400 Mb

必要最低要件では、製品を起動して単純な操作を実行できます。ハードウェアの推奨要件は、処理されるデータ量に直接左右されます。 ご利用の環境にトライアルバージョンをダウンロードして、ご確認ください

その他

Windows では、厳密な名前のバイパス機能を無効にしないでください

コマンドラインツール

オペレーティングシステム

dotTrace CLT は、以下のオペレーティングシステムにインストールして実行できます(最適パフォーマンスには 64 ビット OS を強く推奨)。

Microsoft Windows
7 8 8.1 10
Microsoft Windows Server
2008 R2 2012 2012 R2 2016 2019
Mac OS
10.13+
Linux(64 ビット配布のみ)
Debian 10+ Ubuntu 16.04+ CentOS 7+ Fedora 29+ Other with GLIBC 2.17+

フレームワーク

  • .NET Framework 2.0 以上
  • .NET Core 1.0 以上(arm64 ベースシステムでは 2.1 バージョン以上が必要です)
  • .NET 5.0 以上
  • Mono 5.10 以上

ハードウェアの必要最低要件

  • プロセッサ:
    2 GHz
  • メモリ:
    2 GB
  • ディスク:
    400 Mb

必要最低要件では、製品を起動して単純な操作を実行できます。ハードウェアの推奨要件は、処理されるデータ量に直接左右されます。 ご利用の環境にトライアルバージョンをダウンロードして、ご確認ください

その他

Windows では、厳密な名前のバイパス機能を無効にしないでください

dotMemory のシステム要件

スタンドアロンデスクトップアプリケーション

オペレーティングシステム

dotMemory は、以下のオペレーティングシステムにインストールして実行できます(最適パフォーマンスには 64 ビット OS を強く推奨)。

Microsoft Windows
7 8 8.1 10
Microsoft Windows Server
2008 R2 2012 2012 R2 2016 2019

フレームワーク

  • .NET Framework 4.6.1 以上

ハードウェアの必要最低要件

  • プロセッサ:
    2 GHz
  • メモリ:
    2 GB
  • ディスク:
    400 Mb

必要最低要件では、製品を起動して単純な操作を実行できます。ハードウェアの推奨要件は、処理されるデータ量に直接左右されます。 ご利用の環境にトライアルバージョンをダウンロードして、ご確認ください

その他

Windows では、厳密な名前のバイパス機能を無効にしないでください

Visual Studio統合

オペレーティングシステム

dotMemory は、以下のオペレーティングシステムにインストールして実行できます(最適パフォーマンスには 64 ビット OS を強く推奨)。

Microsoft Windows
7 8 8.1 10
Microsoft Windows Server
2008 R2 2012 2012 R2 2016 2019

サポート対象の Visual Studio リリース

dotUltimate の各製品は、次の Visual Studioリリース(Community、Professional 以上のエディション、Express エディションはサポート対象外)に統合されています。

Microsoft Visual Studio
2010 SP1 2012 Update 3 2013 Update 5 2015 Update 3 2017 2019

フレームワーク

  • .NET Framework 4.6.1 以上

ハードウェアの必要最低要件

  • プロセッサ:
    2 GHz
  • メモリ:
    4 GB
  • ディスク:
    400 Mb

必要最低要件では、製品を起動して単純な操作を実行できます。ハードウェアの推奨要件は、処理されるデータ量に直接左右されます。 ご利用の環境にトライアルバージョンをダウンロードして、ご確認ください

その他

Windows では、厳密な名前のバイパス機能を無効にしないでください

コマンドラインツール

オペレーティングシステム

dotMemory CLT は、以下のオペレーティングシステムにインストールして実行できます(最適パフォーマンスには 64 ビット OS を強く推奨)。

Microsoft Windows
7 8 8.1 10
Microsoft Windows Server
2008 R2 2012 2012 R2 2016 2019
Mac OS
10.13+
Linux(64 ビット配布のみ)
Debian 10+ Ubuntu 16.04+ CentOS 7+ Fedora 29+ Other with GLIBC 2.17+

フレームワーク

  • .NET Framework 2.0 以上
  • .NET Core 1.0 以上(arm64 ベースシステムでは 2.1 バージョン以上が必要です)
  • .NET 5.0 以上
  • Mono 5.10 以上

ハードウェアの必要最低要件

  • プロセッサ:
    2 GHz
  • メモリ:
    2 GB
  • ディスク:
    400 Mb

必要最低要件では、製品を起動して単純な操作を実行できます。ハードウェアの推奨要件は、処理されるデータ量に直接左右されます。 ご利用の環境にトライアルバージョンをダウンロードして、ご確認ください

その他

Windows では、厳密な名前のバイパス機能を無効にしないでください

dotCover のシステム要件

スタンドアロンデスクトップアプリケーション

オペレーティングシステム

dotCover は、以下のオペレーティングシステムにインストールして実行できます(最適パフォーマンスには 64 ビット OS を強く推奨)。

Microsoft Windows
7 8 8.1 10
Microsoft Windows Server
2008 R2 2012 2012 R2 2016 2019

フレームワーク

  • .NET Framework 4.6.1 以上

ハードウェアの必要最低要件

  • プロセッサ:
    2 GHz
  • メモリ:
    2 GB
  • ディスク:
    400 Mb

必要最低要件では、製品を起動して単純な操作を実行できます。ハードウェアの推奨要件は、処理されるデータ量に直接左右されます。 ご利用の環境にトライアルバージョンをダウンロードして、ご確認ください

その他

Windows では、厳密な名前のバイパス機能を無効にしないでください

Rider 統合

dotCover はプラグインバンドルとして、デフォルトで Rider に統合されています。 Rider システム要件を満たす Windows、Mac、および Linux で実行します。 このプラグインを使用するには、有効な dotUltimate ライセンスが必要です。

Visual Studio統合

オペレーティングシステム

dotCover は、以下のオペレーティングシステムにインストールして実行できます(最適パフォーマンスには 64 ビット OS を強く推奨)。

Microsoft Windows
7 8 8.1 10
Microsoft Windows Server
2008 R2 2012 2012 R2 2016 2019

サポート対象の Visual Studio リリース

dotUltimate の各製品は、次の Visual Studioリリース(Community、Professional 以上のエディション、Express エディションはサポート対象外)に統合されています。

Microsoft Visual Studio
2010 SP1 2012 Update 3 2013 Update 5 2015 Update 3 2017 2019

フレームワーク

  • .NET Framework 4.6.1 以上

ハードウェアの必要最低要件

  • プロセッサ:
    2 GHz
  • メモリ:
    4 GB
  • ディスク:
    400 Mb

必要最低要件では、製品を起動して単純な操作を実行できます。ハードウェアの推奨要件は、処理されるデータ量に直接左右されます。 ご利用の環境にトライアルバージョンをダウンロードして、ご確認ください

その他

Windows では、厳密な名前のバイパス機能を無効にしないでください

コマンドラインツール

オペレーティングシステム

dotCover CLT は、以下のオペレーティングシステムにインストールして実行できます(最適パフォーマンスには 64 ビット OS を強く推奨)。

Microsoft Windows
7 8 8.1 10
Microsoft Windows Server
2008 R2 2012 2012 R2 2016 2019
Mac OS
10.13+
Linux
Debian 10+ Ubuntu 16.04+ CentOS 7+ Fedora 29+ Other with GLIBC 2.17+

フレームワーク

  • .NET Framework 2.0 以上
  • .NET Core 1.0 以上(arm64 ベースシステムでは 2.1 バージョン以上が必要です)
  • .NET 5.0 以上
  • Mono 5.10 以上

ハードウェアの必要最低要件

  • プロセッサ:
    2 GHz
  • メモリ:
    2 GB
  • ディスク:
    400 Mb

必要最低要件では、製品を起動して単純な操作を実行できます。ハードウェアの推奨要件は、処理されるデータ量に直接左右されます。 ご利用の環境にトライアルバージョンをダウンロードして、ご確認ください

その他

Windows では、厳密な名前のバイパス機能を無効にしないでください

dotPeek のシステム要件

スタンドアロンデスクトップアプリケーション

オペレーティングシステム

dotPeek は、以下のオペレーティングシステムにインストールして実行できます(最適パフォーマンスには 64 ビット OS を強く推奨)。

Microsoft Windows
7 8 8.1 10

フレームワーク

  • .NET Framework 4.6.1以上

ハードウェアの必要最低要件

  • プロセッサ:
    2 GHz
  • メモリ:
    2 GB
  • ディスク:
    400 Mb

必要最低要件では、製品を起動して単純な操作を実行できます。ハードウェアの推奨要件は、処理されるデータ量に直接左右されます。 ご利用の環境にトライアルバージョンをダウンロードして、ご確認ください

その他

Windows では、厳密な名前のバイパス機能を無効にしないでください